### Function

# GLib unichar_iszerowidth

since: 2.14

#### Declaration [src]

    gboolean
    g_unichar_iszerowidth (
      gunichar c
    )

#### Description [src]

Determines if a given character typically takes zero width when rendered. The return value is `TRUE` for all non-spacing and enclosing marks (e.g., combining accents), format characters, zero-width space, but not U+00AD SOFT HYPHEN.

A typical use of this function is with one of `g_unichar_iswide()` or `g_unichar_iswide_cjk()` to determine the number of cells a string occupies when displayed on a grid display (terminals). However, note that not all terminals support zero-width rendering of zero-width marks.

Available since: 2.14

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gboolean`

`TRUE` if the character has zero width.